<template>
  <div>
    <nav
      class="navbar navbar-expand-lg bg-body-tertiary shadow"
      style="position: fixed; top: 0; z-index: 1000; width: 100%"
    >
      <div class="container">
        <div>
        <router-link :to="{ name: 'index' }" class="navbar-brand"
          ><img v-bind:src="'/logo.png'" alt="Logo" width="30" height="30"
                class="mx-1"></img>
          <span>Fiction World</span>
        </router-link>
        </div>
        <button
          class="navbar-toggler"
          type="button"
          data-bs-toggle="collapse"
          data-bs-target="#navbarText"
          aria-controls="navbarText"
          aria-expanded="false"
          aria-label="Toggle navigation"
        >
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarText">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <router-link class="nav-link" aria-current="page" to="/">Home</router-link>
            </li>
            <li class="nav-item dropdown">
              <a
                class="nav-link dropdown-toggle"
                data-bs-toggle="dropdown"
                href="#"
                role="button"
                aria-haspopup="true"
                aria-expanded="false"
              >Genre</a>
              <div class="dropdown-menu">
                <router-link :to="{
                    path: `/genre/1`,
                  }" class="dropdown-item">Aksi</router-link>
                <router-link :to="{
                    path: `/genre/2`,
                  }" class="dropdown-item" >Drama</router-link>
                <router-link :to="{
                    path: `/genre/3`,
                  }" class="dropdown-item" >Fantasi</router-link>
                <router-link :to="{
                    path: `/genre/4`,
                  }" class="dropdown-item" >Fiksi Ilmiah</router-link>
                <router-link :to="{
                    path: `/genre/5`,
                  }" class="dropdown-item" >Horror</router-link>
                <router-link :to="{
                    path: `/genre/6`,
                  }" class="dropdown-item">Misteri</router-link>
                <router-link :to="{
                    path: `/genre/7`,
                  }" class="dropdown-item">Romansa</router-link>
              </div>
            </li>
            <li class="nav-item">
              <router-link class="nav-link" to="/mypesanan">MyPesanan</router-link>
            </li>
          </ul>
          <div class="d-flex">
            <router-link :to="{
                    path: `/register`,
                  }" class="btn me-3" id="tombol-1" aria-current="page" >Daftar</router-link>
            <router-link :to="{
                    path: `/login`,
                  }" class="btn btn-primary me-2" aria-current="page">Masuk</router-link>
          </div>
        </div>
      </div>        
   </nav>

    <!--- render router view -->
    <router-view></router-view>
  </div>
</template>

<script>
import AppLayout from "./views/AppLayout.vue";

export default {
  components: {
    AppLayout,
  },
};
</script>
